Bug 1784469 - [Kuryr]Pod is stuck in container creating after installation
Summary: [Kuryr]Pod is stuck in container creating after installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.3.0
Assignee: Luis Tomas Bolivar
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On: 1781198
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-17 14:18 UTC by Luis Tomas Bolivar
Modified: 2020-01-23 11:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1781198
Environment:
Last Closed: 2020-01-23 11:19:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 114 None None None 2019-12-17 14:50:50 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:19:54 UTC

Comment 2 Jon Uriarte 2019-12-24 10:05:04 UTC
Verified in 4.3.0-0.nightly-2019-12-23-120031 on 2019-12-06.2 OSP 13 puddle.

The OCP installer finishes successfully:

 $ oc get clusterversion
 NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
 version   4.3.0-0.nightly-2019-12-23-120031   True        False         13h     Cluster version is 4.3.0-0.nightly-2019-12-23-120031


New pods can be created successfully:

 $ oc create -f https://raw.githubusercontent.com/openshift/origin/master/examples/hello-openshift/hello-pod.json
 pod/hello-openshift created

 $ oc get pods
 NAME              READY   STATUS    RESTARTS   AGE
 hello-openshift   1/1     Running   0          77s

 $ oc delete -f https://raw.githubusercontent.com/openshift/origin/master/examples/hello-openshift/hello-pod.json
 pod "hello-openshift" deleted

 $ oc get pods
 No resources found in default namespace.

Comment 4 errata-xmlrpc 2020-01-23 11:19:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.